commit:     d3f580bdc1d91a01ba5c7e5923c9edfcc03c9c4e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 28 03:22:44 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug 28 03:41:44 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d3f580bd

dev-python/google-api-core: Bump to 2.19.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/google-api-core/Manifest                |  1 +
 .../google-api-core/google-api-core-2.19.2.ebuild  | 64 ++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/dev-python/google-api-core/Manifest 
b/dev-python/google-api-core/Manifest
index fa801e06b6cb..e1fe714bb572 100644
--- a/dev-python/google-api-core/Manifest
+++ b/dev-python/google-api-core/Manifest
@@ -1 +1,2 @@
 DIST python-api-core-2.19.1.gh.tar.gz 212130 BLAKE2B 
b68482540dfb896129d903d49623db88661652db9eef6d3bd0615746fe64bdcd1d83a3d284110cb7f617ae89ffbe47257d2db7a0fdc84c984c6321a51499d116
 SHA512 
0f4ffcfd2bf5458ebe942d2a601d8568026b280373538d2362379cc86200f5762eb9eb978a7f9cb5c8014d549c8e48d4acd6114ce54f90fe01f09814c720f589
+DIST python-api-core-2.19.2.gh.tar.gz 212969 BLAKE2B 
6ecb63085b9108cb0755dc3bdd31d328de948ede85e2f1e62dae92bd9c12d6d90d4ef24f57a7a953567e6f9e8d105ffbde8bd99d8a42081190f95f2a48b6504c
 SHA512 
76a890ebaaecfd4d913e4e1d3d370e81e655eb5e8192a10292a7a792f6a9287dde7dea43f27a70edcc7430f71346e52f2719393b54cfd7c4223eeba3c28d37e4

diff --git a/dev-python/google-api-core/google-api-core-2.19.2.ebuild 
b/dev-python/google-api-core/google-api-core-2.19.2.ebuild
new file mode 100644
index 000000000000..61fa5cb4fa0b
--- /dev/null
+++ b/dev-python/google-api-core/google-api-core-2.19.2.ebuild
@@ -0,0 +1,64 @@
+# Copyright 2020-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1
+
+MY_P=python-api-core-${PV}
+DESCRIPTION="Core Library for Google Client Libraries"
+HOMEPAGE="
+       https://github.com/googleapis/python-api-core/
+       https://pypi.org/project/google-api-core/
+       https://googleapis.dev/python/google-api-core/latest/index.html
+"
+SRC_URI="
+       https://github.com/googleapis/python-api-core/archive/v${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+       >=dev-python/googleapis-common-protos-1.56.2[${PYTHON_USEDEP}]
+       >=dev-python/google-auth-1.25.0[${PYTHON_USEDEP}]
+       >=dev-python/proto-plus-1.22.3[${PYTHON_USEDEP}]
+       >=dev-python/protobuf-python-3.19.5[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+       <dev-python/requests-3[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/rsa[${PYTHON_USEDEP}]
+               dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+       # failing due to missing grpcio-status
+       tests/asyncio/test_grpc_helpers_async.py::test_wrap_unary_errors
+       tests/asyncio/test_grpc_helpers_async.py::test_wrap_stream_errors_raised
+       tests/asyncio/test_grpc_helpers_async.py::test_wrap_stream_errors_read
+       tests/asyncio/test_grpc_helpers_async.py::test_wrap_stream_errors_aiter
+       tests/asyncio/test_grpc_helpers_async.py::test_wrap_stream_errors_write
+       tests/unit/test_grpc_helpers.py::test_wrap_unary_errors
+       tests/unit/test_grpc_helpers.py::test_wrap_stream_errors_invocation
+       
tests/unit/test_grpc_helpers.py::test_wrap_stream_errors_iterator_initialization
+       
tests/unit/test_grpc_helpers.py::test_wrap_stream_errors_during_iteration
+)
+
+python_test() {
+       rm -rf google || die
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest -p asyncio tests
+}

Reply via email to